DIRNAME(1)

NAME
dirname - strip last component from file name

SYNOPSIS
dirname string

DESCRIPTION
dirname output string with its last non-slash component and trailing slashes removed. If string contains no /'s, output '.' (meaning the current directory).

EXIT STATUS

AUTHOR
Written by the JeanG3nie for HitchHiker Linux.

SEE ALSO
basename(1), readlink(1), dirname(3)

STANDARDS
The dirname utility is compliant with the IEEE Std 1003.1-2017 standard.